package com.gic.haoban.manage.api.dto.qdto.chat;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @ClassName: TabHaobanGroupChatOwner
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年12月04日 10:08:25
 * @Modify
 * @CopyRight 
 */
public class OwnerSearchQDTO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */

    private static final long serialVersionUID = 5476735570005749927L;

    private String wxEnterpriseId;
    private String searchParams;
    private String departmentId ;
    private List<String> departmentIdList ; 
    // 1查询在职 2查离职
    private int status = 1;

    // 选择的企业id(过滤条件)
    private String paramsEnterpriseId ;
    // 显示门店名称的企业
    private String showNameEnterpriseId ;
    // 是否需要显示门店名称
    private int showStoreNames ;

    public String getShowNameEnterpriseId() {
        return showNameEnterpriseId;
    }

    public void setShowNameEnterpriseId(String showNameEnterpriseId) {
        this.showNameEnterpriseId = showNameEnterpriseId;
    }

    public int getShowStoreNames() {
        return showStoreNames;
    }

    public void setShowStoreNames(int showStoreNames) {
        this.showStoreNames = showStoreNames;
    }

    public String getParamsEnterpriseId() {
        return paramsEnterpriseId;
    }

    public void setParamsEnterpriseId(String paramsEnterpriseId) {
        this.paramsEnterpriseId = paramsEnterpriseId;
    }

    public List<String> getDepartmentIdList() {
        return departmentIdList;
    }

    public void setDepartmentIdList(List<String> departmentIdList) {
        this.departmentIdList = departmentIdList;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

}